<?php
//lokasi folder fpdf
require("fpdf.php");
require("../_init.php");
require("../_connect2.php");
require("../_funcstd.php");

class laporan extends FPDF{

	function Header(){
		global $title;
		global $subtitle;
		global $detail;
		global $font;
		$this->SetFont("$font",'B',12);
		$this->Cell(0,0,$title,0,0,'',false);
		$this->Ln(5);
		$this->SetFont("$font",'',9);
		$this->Cell(0,0,$subtitle,0,0,'',false);
		$this->Ln(3);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(0,0,0);
		$this->SetTextColor(0,0,0);
		$this->Cell(0,0,'',1,0,'C');
		$this->Ln(3);
		$this->SetFont("times",'i',8);
		$this->Cell(0,0,$detail,0,0,'',false);
		$this->Cell(0,0,'Page '.$this->PageNo().' of {nb}',0,0,'R');
		$this->Ln(5);
		$this->SetFont("$font",'B',9);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(255,255,255);
		$this->SetTextColor(0,0,0);
		$this->Cell(20,6,'Date',1,0,'C',true);
		$this->Cell(50,6,'Voucher Name',1,0,'C',true);
		$this->Cell(90,6,'Description',1,0,'C',true);
		$this->Cell(30,6,'Voucher Value',1,0,'C',true);
		$this->Ln(7);
	}

	function namacabang($cabang){
		global $font;
		$this->SetFont("$font",'B',9);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(255,255,255);
		$this->SetTextColor(0,0,0);
		$this->Cell(0,4,$cabang,0,0,'',true);
		$this->Ln(5);
	}

	function namapelanggan($pelanggan){
		$this->SetFont("Times",'I',10);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(255,255,255);
		$this->SetTextColor(0,0,0);
		$this->Cell(0,4,$pelanggan,0,0,'',true);
		$this->Ln(5);
	}

	function Isi ($col1,$col2,$col3,$col4){
		global $font;
		$this->SetFont("$font",'',9);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(255,255,255);
		$this->SetTextColor(0,0,0);
		$this->Cell(20,4,$col1,0,0,'C',true);
		$this->Cell(50,4,$col2,0,0,'',true);
		$this->Cell(90,4,$col3,0,0,'',true);
		$this->Cell(30,4,$col4,0,0,'R',true);
		$this->Ln(5);
	}

	function subtotal ($sub1){
		global $font;
		$this->SetFont("$font",'B',9);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(255,255,255);
		$this->SetTextColor(0,0,0);
		$this->Cell(160,5,'Subtotal',1,0,'C',true);
		$this->Cell(30,5,$sub1,1,0,'R',true);
		$this->Ln(6);
	}

	function total ($tot1){
		global $font;
		$this->SetFont("$font",'B',9);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(255,255,255);
		$this->SetTextColor(0,0,0);
		$this->Cell(160,6,'Total',1,0,'C',true);
		$this->Cell(30,6,$tot1,1,0,'R',true);

		$this->Ln(5);
	}

	// Page footer
	function Footer(){
		$this->SetY(-15);
		$this->SetFont('Arial','I',8);
		$this->Cell(0,10,'Printed: '. date('D, d-m-Y H:i:s') .' Data Copied: '. date('D, d-m-Y H:i:s'). ' Prepared by '. $_SESSION['login_user'],0,0,'');
	}
	
}

//get parameter
if ( $_POST['cabang'] != -1) {
	$wherecab = "tblmutasi.KodeCabang = " . $_POST['cabang'] ." ";
} else {
	$wherecab = "";
}

if ( isset($_POST['bulanan']) ) {
	$tahun = isset($_POST['tahun']) ? $_POST['tahun'] : '';
	$bulan = isset($_POST['bulan']) ? $_POST['bulan'] : '';
	$charmonth = date('F', mktime(0, 0, 0, $bulan, 10));
	$detail = 'For Month :' . (isset($charmonth) ? $charmonth : '') .' '. (isset($tahun)? $tahun : '');
	$wheretanggal = "(YEAR(tblmutasi.Input_DateTime) = '$tahun' AND MONTH(tblmutasi.Input_DateTime) = '$bulan')";
} else {
	$tanggal = JQueryDate2Date($_POST['tanggal']);
	// $tanggal2 = JQueryDate2Date($_POST['tanggal2']);
	$detail = 'For Date : ' . (isset($_POST['tanggal']) ? $_POST['tanggal'] : '') . ' ' . (isset($_POST['tanggal']) ? $_POST['tanggal'] : '') ;
	// $wheretanggal = "(tblmutasi.Input_DateTime BETWEEN '$tanggal' AND ('$tanggal'+INTERVAL 1 DAY))";
	$wheretanggal = "(tblmutasi.Input_DateTime >= '$tanggal' AND tblmutasi.Input_DateTime <= '$tanggal 23:59:59')";
}

if ( isset($_POST['saldoawal']) ) {
	if ($wherecab != ""){
		$wherecond = "WHERE " . $wherecab;
	} else {
		$wherecond = "";
	}
} else {
	if ($wherecab != ""){
		$wherecond = "WHERE " . $wherecab . " AND " . $wheretanggal;
	} else {
		$wherecond = "WHERE " . $wheretanggal;
	}
}

// pdf setting
$pdf = new laporan();
$title = NAMA_PERUSAHAAN;
$subtitle = 'Import Voucher Report';
$pdf->SetTitle($subtitle);
$font = 'Helvetica';
// $font = 'Tahoma';
// $pdf->AddFont('Tahoma','','tahoma.php');
// $pdf->AddFont('Tahoma','B','tahomabd.php');

$pdf->AddPage('P','A4');
$pdf->AliasNbPages();
$pdf->SetTopMargin(20);
$pdf->SetLeftMargin(10);
$pdf->SetRightMargin(10);

//variable
$sdebet = array();
$skredit = array();
//get database
$perintahdb1 = "SELECT tblmutasi.KodeCabang AS KodeCabang, ( SELECT NamaCabang FROM tblcabang WHERE tblcabang.KodeCabang = tblmutasi.KodeCabang ) AS NamaCabang FROM tblmutasi  $wherecond GROUP BY KodeCabang";
$sqlquery1 = DBQuery( $perintahdb1 );
while ( ( $sqlrow1 = @DBFetchAssoc( $sqlquery1 ) ) ) {
	$debet = array();
	$kredit = array();
	$wherecond2 = "WHERE tblmutasi.KodeCabang = " . $sqlrow1['KodeCabang'] . " AND " .$wheretanggal;
	$pdf->namacabang( $sqlrow1['NamaCabang'] );

	$select = "SELECT tblmutasi.Input_DateTime AS Input_DateTime, tblmutasi.Debet AS Debet, tblmutasi.Kredit AS Kredit, tblmutasi.Catatan AS Catatan, ( SELECT tblpelang.Nama FROM tblpelang WHERE tblpelang.ID = tblmutasi.PelangID ) AS Nama, ( SELECT tblpelang.Kode FROM tblpelang WHERE tblpelang.ID = tblmutasi.PelangID ) AS Kode, IF( Debet > 0, 'Top Up', 'Deduct' ) as Catatan2";
	$perintahdb2 = "$select FROM tblmutasi $wherecond2 AND Debet > 0";
	$sqlquery2 = DBQuery( $perintahdb2 );
	while ( ( $sqlrow2 = @DBFetchAssoc( $sqlquery2 ) ) ) {
		$sisasaldo = (isset($sisasaldo) == 0 ? 0 : $sisasaldo) + $sqlrow2['Debet'] - $sqlrow2['Kredit'];
		$pdf->Isi( @Date2JQueryDate($sqlrow2['Input_DateTime']), $sqlrow2['Nama'] . ' - ' . $sqlrow2['Kode'] , $sqlrow2['Catatan2'] . ( ( $sqlrow2['Catatan'] != '' ) ? ' - ' . $sqlrow2['Catatan'] : '' ), @ShowFormatDigitNumber($sqlrow2['Debet']));
		$debet[] = $sqlrow2['Debet'];
		$kredit[] = $sqlrow2['Kredit'];
	}

	$subdebet = array_sum($debet);
	$subkredit = array_sum($kredit);
	$pdf->subtotal(  @ShowFormatDigitNumber($subdebet));
	$sdebet[] = $subdebet;
	$skredit[] = $subkredit;
	$sisasaldo = 0;
}

$pdf->total(  @ShowFormatDigitNumber(array_sum($sdebet)) );

$pdf->Output('Import Voucher Report ' . $detail .'.pdf','I');
?>